Package org.eclipse.wst.xsl.core.resolver

## org.eclipse.wst.xsl.core.resolver
Class XSLVersionHandler

    public class XSLVersionHandler
    extends org.xml.sax.helpers.DefaultHandler

A simple XML parser to find the XSL version of a given XML file, expectedly a XSLT stylesheet.

## Constructor Summary

`XSLVersionHandler()`

## Method Summary

`public void` | `comment(char[] ch , int start , int length)`
`public void` | `endCDATA()`
`public void` | `endDTD()`
`public void` | `endEntity(java.lang.String name)`
`public void` | `error(org.xml.sax.SAXParseException e)`
`public void` | `fatalError(org.xml.sax.SAXParseException e)`
`public java.lang.String` | `getVersionAttribute()` TODO: Add Javadoc
`public boolean` | `parseContents(org.xml.sax.InputSource contents)` TODO: Add Javadoc
`public org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId , java.lang.String systemId)`
`public void` | `startCDATA()`
`public void` | `startDTD(java.lang.String name , java.lang.String publicId , java.lang.String systemId)`
`public void` | `startElement(java.lang.String uri , java.lang.String elementName , java.lang.String qualifiedName , org.xml.sax.Attributes attributes)`
`public void` | `startEntity(java.lang.String name)`
`public void` | `warning(org.xml.sax.SAXParseException e)`

## Constructor Detail

## XSLVersionHandler

`public XSLVersionHandler()`

TODO: Add Javadoc

## Methods Detail

## comment

`public void comment(char[] ch , int start , int length)`

### Parameters

`ch`

`start`

`length`

## endCDATA

`public void endCDATA()`

## endDTD

`public void endDTD()`

## endEntity

`public void endEntity(java.lang.String name)`

### Parameters

`name`

## error

`public void error(org.xml.sax.SAXParseException e)`

### Parameters

`e`

### Throws:

`org.xml.sax.SAXException`

## fatalError

`public void fatalError(org.xml.sax.SAXParseException e)`

### Parameters

`e`

### Throws:

`org.xml.sax.SAXException`

## getVersionAttribute

`public java.lang.String getVersionAttribute()`

TODO: Add Javadoc

### Returns

`java.lang.String`

## parseContents

`public boolean parseContents(org.xml.sax.InputSource contents)`

TODO: Add Javadoc

### Parameters

`contents`

### Returns

`boolean`

### Throws:

`java.io.IOException`

`javax.xml.parsers.ParserConfigurationException`

`org.xml.sax.SAXException`

## resolveEntity

`public org.xml.sax.InputSource resolveEntity(java.lang.String publicId , java.lang.String systemId)`

### Parameters

`publicId`

`systemId`

### Returns

`org.xml.sax.InputSource`

### Throws:

`org.xml.sax.SAXException`

## startCDATA

`public void startCDATA()`

## startDTD

`public void startDTD(java.lang.String name , java.lang.String publicId , java.lang.String systemId)`

### Parameters

`name`

`publicId`

`systemId`

### Throws:

`org.xml.sax.SAXException`

## startElement

`public void startElement(java.lang.String uri , java.lang.String elementName , java.lang.String qualifiedName , org.xml.sax.Attributes attributes)`

### Parameters

`uri`

`elementName`

`qualifiedName`

`attributes`

### Throws:

`org.xml.sax.SAXException`

## startEntity

`public void startEntity(java.lang.String name)`

### Parameters

`name`

## warning

`public void warning(org.xml.sax.SAXParseException e)`

### Parameters

`e`

### Throws:

`org.xml.sax.SAXException`